# System Status

The Lumise requires performance below:

#### PHP must allows functions:

* stream\_context\_create
* libxml\_set\_streams\_context
* simplexml\_load\_file
* ZipArchive
* Imagick
* file\_put\_contents
* file\_get\_contents

#### System resource – PHP settings

* allow\_url\_fopen
* memory\_limit – recommend 256MB
* post\_max\_size – recommend 800MB

#### Why Memory & Post-Data?

While working with tools, it doesn’t require a little resource from the server. The progress base on your client's performance.

Your customer may add many resources; total capacity data is big sometimes.<br>

So when pressing the checkout, the server has to use the number of resources to process them.

The server needs to process two essential things:

1\) Amount data can put to the server based on users data. PHP has setting post\_max\_size to control that.

2\) Another thing is the memory for PHP process. It may use 512MB of RAM in short time.\
We need to increase the PHP setting to increase available memory. PHP has memory\_limit to control it.

#### How to set that value

Often hosting supports the method for edit the .ini file

You can find the setting PHP Options with the value above.

Or

In case, your hosting support custom php.ini / .user.ini file for any folder

Please create that file php.ini / .user.ini to the root folder of website with values below:

```
memory_limit = 256M
post_max_size = 800M
allow_url_fopen = -1
extension=imagick.so
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.lumise.com/system-status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
